summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--audio/ladspa_sdk/README (renamed from multimedia/ladspa_sdk/README)0
-rw-r--r--audio/ladspa_sdk/ladspa_sdk.SlackBuild (renamed from multimedia/ladspa_sdk/ladspa_sdk.SlackBuild)21
-rw-r--r--audio/ladspa_sdk/ladspa_sdk.info (renamed from multimedia/ladspa_sdk/ladspa_sdk.info)0
-rw-r--r--audio/ladspa_sdk/profile.d/ladspa.csh2
-rw-r--r--audio/ladspa_sdk/profile.d/ladspa.sh2
-rw-r--r--audio/ladspa_sdk/slack-desc (renamed from multimedia/ladspa_sdk/slack-desc)9
6 files changed, 26 insertions, 8 deletions
diff --git a/multimedia/ladspa_sdk/README b/audio/ladspa_sdk/README
index 986b1f42da..986b1f42da 100644
--- a/multimedia/ladspa_sdk/README
+++ b/audio/ladspa_sdk/README
diff --git a/multimedia/ladspa_sdk/ladspa_sdk.SlackBuild b/audio/ladspa_sdk/ladspa_sdk.SlackBuild
index 58439d3fa7..abc7870f7c 100644
--- a/multimedia/ladspa_sdk/ladspa_sdk.SlackBuild
+++ b/audio/ladspa_sdk/ladspa_sdk.SlackBuild
@@ -1,9 +1,8 @@
#!/bin/sh
# Slackware build script for ladspa-sdk
-# Written by ppr:kut <hmwiesinger@gmx.at>
-# Copyright 2007 Heinz Wiesinger
+# Copyright 2007-2008 Heinz Wiesinger <hmwiesinger@gmx.at>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -29,8 +28,9 @@
PRGNAM=ladspa_sdk
VERSION=1.13
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -40,6 +40,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -65,10 +67,15 @@ cd src
INSTALL_INCLUDE_DIR="$PKG/usr/include"
cd -
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+mkdir -p $PKG/etc/profile.d/
+cp $CWD/profile.d/* $PKG/etc/profile.d/
+chmod 0755 $PKG/etc/profile.d/*
+
+# Cleanup files left in /tmp by make
+rm -f /tmp/test.wav || true
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a README doc/* $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/multimedia/ladspa_sdk/ladspa_sdk.info b/audio/ladspa_sdk/ladspa_sdk.info
index 01305ebe42..01305ebe42 100644
--- a/multimedia/ladspa_sdk/ladspa_sdk.info
+++ b/audio/ladspa_sdk/ladspa_sdk.info
diff --git a/audio/ladspa_sdk/profile.d/ladspa.csh b/audio/ladspa_sdk/profile.d/ladspa.csh
new file mode 100644
index 0000000000..7a07cd6b70
--- /dev/null
+++ b/audio/ladspa_sdk/profile.d/ladspa.csh
@@ -0,0 +1,2 @@
+#!/bin/csh
+setenv LADSPA_PATH /usr/lib/ladspa
diff --git a/audio/ladspa_sdk/profile.d/ladspa.sh b/audio/ladspa_sdk/profile.d/ladspa.sh
new file mode 100644
index 0000000000..1079c47718
--- /dev/null
+++ b/audio/ladspa_sdk/profile.d/ladspa.sh
@@ -0,0 +1,2 @@
+#!/bin/sh
+LADSPA_PATH=/usr/lib/ladspa ; export LADSPA_PATH
diff --git a/multimedia/ladspa_sdk/slack-desc b/audio/ladspa_sdk/slack-desc
index 0245676c5d..719d51d259 100644
--- a/multimedia/ladspa_sdk/slack-desc
+++ b/audio/ladspa_sdk/slack-desc
@@ -1,4 +1,11 @@
- |-----handy-ruler------------------------------------------------------|
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------|
ladspa_sdk: ladspa-sdk (Sound Plugin SDK)
ladspa_sdk:
ladspa_sdk: The LADSPA-SDK is a software development kit for